<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<html>
<head>
    <title>人情明细</title>
</head>
<body>
<h2>人情明细</h2>
<table border="1" cellspacing="1" cellpadding="5" style="margin: 0 auto; width: 80%;">
    <a href="/favorItem/toAdd">添加人情明细</a>
    <thead>
        <tr>
            <th>ID</th>
            <th>事件</th>
            <th>日期</th>
            <th>收礼人</th>
            <th>送礼人</th>
            <th>金额</th>
            <th>回礼</th>
            <th>备注</th>
            <th>创建日期</th>
            <th>操作</th>
        </tr>
    </thead>
    <tbody>
    <c:forEach items="${favorItemList}" var="p" varStatus="c">
        <tr>
            <td>${p.id}</td>
            <td><b>${p.favor.title}</b></td>
            <td><fmt:formatDate value='${p.favor.occurDate}' pattern='yyyy-MM-dd'/></td>
            <td><a href="/favorItem/toList?personId=${p.personId}">${p.person.name}（${p.person.callName}）</a></td>
            <td><a href="/favorItem/toList?personId=${p.sourcePersonId}">${p.sourcePerson.name}（${p.sourcePerson.callName}）</a></td>
            <td>${p.amount}</td>
            <td>${p.returnGift}</td>
            <td>${p.remark}</td>
            <td><fmt:formatDate value='${p.createTime}' pattern='yyyy-MM-dd'/></td>
            <td>
                <a href="/favorItem/edit/${p.id}">编辑</a>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
</body>
</html>