package com.anyway.favor.model;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;

/**
 * 人情明细表(t_favor_item)
 * 
 * @author anyway
 * @date 2024-02-20
 */
@Setter
@Getter
public class FavorItem extends BaseModel implements java.io.Serializable {
    /** 版本号 */
    private static final long serialVersionUID = 6101318181722924652L;
    /** id */
    private Long id;
    /** 事件ID */
    private Long favorId;
    /** 收礼人ID */
    @NotNull
    private Long receivePersonId;
    /** 回赠礼物ID */
    private Long returnGiftId;
    /** 送礼人ID */
    @NotNull
    private Long givePersonId;
    /** 赠送礼物ID */
    @NotNull
    private Long giveGiftId;
    /** 备注 */
    private String remark;
}