package com.anyway.util;

import com.anyway.favor.model.User;
import com.anyway.favor.service.UserService;

/**
 * Session 工具类
 *
 * @author liuchuanwei
 * @date 2024-02-21
 */
public class SessionUtils {
    /**
     * 获取当前登录用户
     *
     * @return
     */
    public static User currentUser() {
        //TODO 暂时固定用户
        UserService userService = SpringUtils.getBean("userServiceImpl");
        return userService.findById(1L);
    }
    /**
     * 获取当前登录用户ID
     *
     * @return
     */
    public static Long currentUserId() {
        User currentUser = SessionUtils.currentUser();
        return currentUser.getId();
    }
}
